/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroCat.h,v 1.3 2000/08/14 15:44:52 mheinz Exp $
 * Copyright (C) 2000, Michael Heinz
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroCat_h
#define AstroCat_h

#include <PalmOS.h>

#define DBSECTION __attribute__ ((section ("dbfns")))

Boolean ObjectPositionFormHandleEvent(EventPtr event) DBSECTION;
Boolean FindObjectFormHandleEvent(EventPtr event) DBSECTION;
Boolean SelectCatalogFormHandleEvent(EventPtr event); // DBSECTION;
Boolean CatalogFormHandleEvent(EventPtr event) DBSECTION;
void FreeCat() DBSECTION;
void LoadObject(FormPtr formPtr) DBSECTION;
void LoadCatalog() DBSECTION;
void FindObject(UInt16 start) DBSECTION;

#endif
